%define upstream_name Horde_Log
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.1.0
Release:     	%mkrel 2
Summary:    	Horde Logging library
License:    	BSD
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear >= 1.7.0
Requires: 	php-pear-channel-horde
Requires:	php-pear-Horde_Constraint >= 2.0.0
Requires: 	php-pear-Horde_Constraint < 3.0.0alpha1
Requires:	php-pear-Horde_Exception >= 2.0.0
Requires:	php-pear-Horde_Exception < 3.0.0alpha1
BuildArch:  	noarch

%description
Horde Logging package with configurable handlers, filters, and formatting.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Log.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Log.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Log
fi

%files
%doc docs/Horde_Log/*
%{peardir}/*
%{xmldir}/Horde_Log.xml


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.1.0-2.mga4
+ Revision: 545256
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 spuhler <spuhler> 2.1.0-1.mga4
+ Revision: 501004
- upgrade to version 2.1.0

* Thu Jun 06 2013 spuhler <spuhler> 2.0.1-1.mga4
+ Revision: 438468
- upgrade to ver. 2.0.1
- update Requires per upstream
- rearranged file section

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 376542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 06 2011 spuhler <spuhler> 1.1.2-1.mga2
+ Revision: 164550
- upgrade to 1.1.2
- changed Provides: php-pear-Horde_Log to php-pear-Horde_Log = %%{version)
- imported package php-pear-Horde_Log

